Extending Qt Creator Manual | CustomToolChain

Extending Qt Creator Manual 4.3.0

# CustomToolChain Class

(ProjectExplorer::CustomToolChain)

Inherits: | ProjectExplorer::ToolChain

- List of all members, including inherited members

## Public Types

enum | OutputParser { Gcc, Clang, LinuxIcc, Msvc, Custom, OutputParserCount }

## Public Functions

CustomParserSettings | customParserSettings() const
const QStringList & | cxx11Flags() const
QStringList | headerPathsList() const
QString | mkspecs() const
OutputParser | outputParserType() const
const QStringList & | rawPredefinedMacros() const
void | setCompilerCommand(const Utils::FileName &)
void | setCustomParserSettings(const CustomParserSettings &settings)
void | setCxx11Flags(const QStringList &)
void | setHeaderPaths(const QStringList &list)
void | setMakeCommand(const Utils::FileName &)
void | setMkspecs(const QString &)
void | setOutputParserType(OutputParser parser)
void | setPredefinedMacros(const QStringList &list)
void | setTargetAbi(const Abi &)

- 31 public functions inherited from ProjectExplorer::ToolChain

## Static Public Members

QString | parserName(OutputParser parser)

## Protected Functions

| CustomToolChain(const CustomToolChain &) = default

- 2 protected functions inherited from ProjectExplorer::ToolChain

## Member Type Documentation

### enum CustomToolChain::OutputParser

## Member Function Documentation

### `[default protected]` CustomToolChain::CustomToolChain(const CustomToolChain &)

Copy constructor.

### CustomParserSettings CustomToolChain::customParserSettings() const

See also setCustomParserSettings().

### const QStringList &CustomToolChain::cxx11Flags() const

See also setCxx11Flags().

### QStringList CustomToolChain::headerPathsList() const

### QString CustomToolChain::mkspecs() const

See also setMkspecs().

### OutputParser CustomToolChain::outputParserType() const

See also setOutputParserType().

### `[static]` QString CustomToolChain::parserName(OutputParser parser)

### const QStringList &CustomToolChain::rawPredefinedMacros() const

### void CustomToolChain::setCompilerCommand(const Utils::FileName &)

### void CustomToolChain::setCustomParserSettings(const CustomParserSettings &settings)

See also customParserSettings().

### void CustomToolChain::setCxx11Flags(const QStringList &)

See also cxx11Flags().

### void CustomToolChain::setHeaderPaths(const QStringList &list)

### void CustomToolChain::setMakeCommand(const Utils::FileName &)

### void CustomToolChain::setMkspecs(const QString &)

See also mkspecs().

### void CustomToolChain::setOutputParserType(OutputParser parser)

See also outputParserType().

### void CustomToolChain::setPredefinedMacros(const QStringList &list)

### void CustomToolChain::setTargetAbi(const Abi &)